//CFTTGraphicsDeviceOGLES3 - [2020-04-13 11:57:46]
#ifndef _CFTTGRAPHICSDEVICEOGLES3_H_
#define _CFTTGRAPHICSDEVICEOGLES3_H_

#include "common.h"
#include "CFTTGraphicsDeviceOGLES.h"

/*
0020392C CFTTGraphicsDeviceOGLES3::CFTTGraphicsDeviceOGLES3()
002039DC CFTTGraphicsDeviceOGLES3::~CFTTGraphicsDeviceOGLES3()
00203944 CFTTGraphicsDeviceOGLES3::AssessHardware()
002039EA CFTTGraphicsDeviceOGLES3::GetRendererType()
002039EE CFTTGraphicsDeviceOGLES3::DepthTextureSupported()
002039F2 CFTTGraphicsDeviceOGLES3::FloatTextureSupported()
002039F8 CFTTGraphicsDeviceOGLES3::TextureLODSupported()
002039FC CFTTGraphicsDeviceOGLES3::MultisampleSupported()
00203A00 CFTTGraphicsDeviceOGLES3::ForceClientArrays()
00203A06 CFTTGraphicsDeviceOGLES3::DisableImmutableTextures()

0x44
*/

class CFTTGraphicsDeviceOGLES3 : public CFTTGraphicsDeviceOGLES {
public:
  CFTTGraphicsDeviceOGLES3();           //0020392C
  virtual ~CFTTGraphicsDeviceOGLES3();  //002039DC

  virtual void AssessHardware();               //00203944
  virtual int GetRendererType() const;         //002039EA
  virtual bool DepthTextureSupported() const;  //002039EE
  virtual bool FloatTextureSupported();        //002039F2
  virtual bool TextureLODSupported() const;    //002039F8
  virtual bool MultisampleSupported() const;   //002039FC
  virtual bool ForceClientArrays() const;      //00203A00
  virtual void DisableImmutableTextures();     //00203A06

  bool OGLES3_40;
  bool isFloatTextureSupported_41;
  bool bForceClientArrays_42;
  bool bImmutableTextures_43;
};

#endif  //_CFTTGRAPHICSDEVICEOGLES3_H_